/****************************************************************************************************

		MCErrorMessages.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	11/30/2004

****************************************************************************************************/

#ifndef __MCErrorMessages__
#define __MCErrorMessages__

#if CP_PRAGMA_ONCE
#pragma once
#endif

class TMCString;

/// The MCCore error codes.
///
enum EMCErrorCode
{
	kMCUnableToBindToPort=1,
	kMCUnableToListenOnPort=2,
	kMCUnableToAcceptConnection=3,
	kMCUnableToConnect=4
};


// ****************************************************************************
//								GetErrorMessage
// 
/// Returns a string with the text corresponding to a given error code in MCCore.
/// This function can be called from an extension as well as from the application.
/// and it is thread safe.
/// 
/// \param errorCode     The error code (see EMCErrorCode)
///
/// \return A pointer to the error message, NULL if the error message array is not
///			allocated.
///
const TMCString* GetErrorMessage(EMCErrorCode errorCode);

#endif
